cancelJobExecution

Prev Next

Available in VPC

Cancel job execution.

Request

This section describes the request format. The method and URI are as follows:

Method URI
POST /api/v1/jobs/{jobId}/executions/{executionId}/cancel

Request headers

For information about the request headers common to all Data Flow APIs, see Data Flow request headers.

Request path parameters

You can use the following path parameters with your request:

Field Type Required Description
jobId String Required Job ID
executionId String Required Job execution ID

Request example

The request example is as follows:

curl --location --request POST 'https://dataflow.apigw.ntruss.com/api/v1/jobs/gqigvH******/executions/fKE22J******/cancel' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

This section describes the response format.

Response status codes

For information about the response status codes common to all Data Flow APIs, see Data Flow response status codes.

Response example

The response example is as follows:

true